package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.BaseBuildFacilityType;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.service.vo.BaseBuildFacilityTypeRequestVO;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 建筑设施类型 服务类
 * </p>
 *
 * @author han
 * @since 2023-07-26
 */
public interface BaseBuildFacilityTypeService extends CrudService<BaseBuildFacilityType> {
    void add(BaseBuildFacilityType baseBuildFacilityType);

    void update(BaseBuildFacilityType baseBuildFacilityType);

    void remove(Integer id);

    CommonPage<BaseBuildFacilityType> page(BaseBuildFacilityTypeRequestVO baseBuildFacilityTypeRequestVO);

    boolean checkNameUnique(BaseBuildFacilityType baseBuildFacilityType);
}
